- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds/create#try-it)

Creates a MetadataFeed.

### HTTP request

`POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*}/metadataFeeds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent location, in the format `projects/{project_id_or_number}/locations/{locationId}` |

### Query parameters

| Parameters ||
|---|---|
| `metadataFeedId` | `string` Optional. The metadata job ID. If not provided, a unique ID is generated with the prefix `metadata-job-`. |
| `validateOnly` | `boolean` Optional. The service validates the request without performing any mutations. The default is false. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.metadataFeeds#MetadataFeed`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/organizations.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `dataplex.metadataFeeds.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).